Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
Class GrailsInjectionOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
          org.codehaus.groovy.grails.compiler.injection.GrailsInjectionOperation

All Implemented Interfaces:
  ApplicationContextAware

    public class GrailsInjectionOperation

extends org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
implements ApplicationContextAware

A Groovy compiler operation that gets plugged into the GroovyClassLoader instance to add custom properties to classes at compile time.

Since:
  0.2
Author:
  Graeme Rocher

Constructor Summary
`GrailsInjectionOperation()`

Method Summary
`void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setResourceLoader(GrailsResourceLoader resourceLoader)`

Methods inherited from class org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
`needSortedInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsInjectionOperation

    public GrailsInjectionOperation()

Method Detail

### call

    public void call(org.codehaus.groovy.control.SourceUnit source,
                     org.codehaus.groovy.classgen.GeneratorContext context,
                     org.codehaus.groovy.ast.ClassNode classNode)
              throws org.codehaus.groovy.control.CompilationFailedException

  Specified by:
    `call` in class `org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation`
  Throws:
    `org.codehaus.groovy.control.CompilationFailedException`

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`

### setResourceLoader

    public void setResourceLoader(GrailsResourceLoader resourceLoader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD